#!/bin/bash

HOST=192.168.1.1
STACKID=02

TEMP1=`echo -n -e "\x$STACKID\x01\x04\00" | nc -w1 $HOST 4223 | od -w54 -A n -t x2 | tr -d " " | cut -b 9- | tr "[:lower:]" "[:upper:]"`
TEMP2=`echo "scale=2 ; ibase=16; $TEMP1 / 64" | bc`

if [ "$1" = "x" ] ; then echo "`date +%Y%m%d_%H:%M:%S';'%s`;$TEMP2"
   else
     echo -e "\nDie Temperatur betraegt: $TEMP2 Grad.\nParameter x gibt Logfileoutputformat.\n"
fi

# DATAFORMAT: 20120514_08:42:02;1336977722;20.62

# Auskommentieren wenn die Html automatisch nach dem Datenholen erstellt werden soll
## /home/tinker/drawhtml.sh
